Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 527538 - media-gfx/digikam-4.4.0 - ld: _ZZN5Eigen8internal20manage_caching_sizesENS_6ActionEPlS2_E13m_l2CacheSize: TLS definition in /usr/lib64/libopencv_contrib.so.2.4.9 section .tbss mismatches non-TLS definition in CMakeFiles/digikamcore.dir/__/libs/dimg/ [...]
Summary: media-gfx/digikam-4.4.0 - ld: _ZZN5Eigen8internal20manage_caching_sizesENS_6A...
Status: RESOLVED CANTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Andreas K. Hüttel
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-31 00:41 UTC by jms
Modified: 2014-11-06 20:13 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info '=media-gfx/digikam-4.4.0::gentoo' (emerge-info-digikam-4.4.0.txt,5.97 KB, text/plain)
2014-10-31 00:41 UTC, jms
Details
digikam-4.4.0.log.bz2 (digikam-4.4.0.log.bz2,82.88 KB, application/x-bzip2)
2014-10-31 00:59 UTC, jms
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jms 2014-10-31 00:41:45 UTC
Created attachment 387828 [details]
emerge --info '=media-gfx/digikam-4.4.0::gentoo'

media-gfx/digikam-4.4.0 failed to compile with:
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.3/../../../../x86_64-pc-linux-gnu/bin/ld: _ZZN5Eigen8internal20manage_caching_sizesENS_6ActionEPlS2_E13m_l2CacheSize: TLS definition in /usr/lib64/libopencv_contrib.so.2.4.9 section .tbss mismatches non-TLS definition in CMakeFiles/digikamcore.dir/__/libs/dimg/filters/sharp/matrix.o section .bss._ZZN5Eigen8internal20manage_caching_sizesENS_6ActionEPlS2_E13m_l2CacheSize[_ZZN5Eigen8internal20manage_caching_sizesENS_6ActionEPlS2_E13m_l2CacheSize]
/usr/lib64/libopencv_contrib.so.2.4.9: error adding symbols: Bad value
collect2: error: ld returned 1 exit status
app/CMakeFiles/digikamcore.dir/build.make:7214: recipe for target 'lib/libdigikamcore.so.4.4.0' failed
make[2]: *** [lib/libdigikamcore.so.4.4.0] Error 1
make[2]: Leaving directory '/var/tmp/portage/media-gfx/digikam-4.4.0/work/digikam-4.4.0_build'
CMakeFiles/Makefile2:743: recipe for target 'app/CMakeFiles/digikamcore.dir/all' failed
make[1]: *** [app/CMakeFiles/digikamcore.dir/all] Error 2
make[1]: Leaving directory '/var/tmp/portage/media-gfx/digikam-4.4.0/work/digikam-4.4.0_build'
Makefile:127: recipe for target 'all' failed
make: *** [all] Error 2
 * ERROR: media-gfx/digikam-4.4.0::gentoo failed (compile phase):
 *   emake failed
 *
Comment 1 jms 2014-10-31 00:43:31 UTC
emerge -pqv '=media-gfx/digikam-4.4.0::gentoo'
[ebuild     U ] media-gfx/digikam-4.4.0 [4.2.0] USE="addressbook gphoto2 handbook mysql semantic-desktop%* thumbnails video (-aqua) -debug -doc -nepomuk -themedesigner" LINGUAS="en_GB es fr -af -ar -az -be -bg -bn -br -bs -ca -cs -csb -cy -da -de -el -eo -et -eu -fa -fi -fo -fy -ga -gl -ha -he -hi -hr -hsb -hu -id -is -it -ja -ka -kk -km -ko -ku -lb -lo -lt -lv -mi -mk -mn -ms -mt -nb -nds -ne -nl -nn -nso -oc -pa -pl -pt -pt_BR -ro -ru -rw -se -sk -sl -sq -sr -sr@Latn -ss -sv -ta -te -tg -th -tr -tt -uk -uz -uz@cyrillic -ven -vi -wa -xh -zh_CN -zh_HK -zh_TW -zu"
Comment 2 jms 2014-10-31 00:59:54 UTC
Created attachment 387834 [details]
digikam-4.4.0.log.bz2
Comment 3 jms 2014-10-31 01:06:41 UTC
[I] media-libs/opencv
     Available versions:  2.4.5 ~2.4.8(0/2.4) (~)2.4.9(0/2.4) {cuda doc (+)eigen examples ffmpeg gstreamer gtk ieee1394 ipp java jpeg jpeg2k opencl openexr opengl openmp pch png +python qt4 testprograms threads tiff v4l vtk xine ELIBC="FreeBSD" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7"}
     Installed versions:  2.4.9(10:49:38 17/08/14)(eigen ffmpeg gtk jpeg jpeg2k opengl openmp png python qt4 tiff v4l xine -cuda -doc -examples -gstreamer -ieee1394 -ipp -java -opencl -openexr -pch -testprograms -threads -vtk ELIBC="-FreeBSD" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7")
     Homepage:            http://opencv.willowgarage.com
     Description:         A collection of algorithms and sample code for various computer vision problems
Comment 4 William Seager 2014-10-31 17:42:35 UTC
rebuilding opencv fixed this for me ...
Comment 5 jms 2014-11-01 11:44:02 UTC
(In reply to William Seager from comment #4)
> rebuilding opencv fixed this for me ...

yep this solved the problem for me too ,thanks.

I will leave this bug open as I don't think this is expected behaviour and for other user to get the solution.
Comment 6 Andreas K. Hüttel gentoo-dev 2014-11-06 20:13:46 UTC
Unfortunately there's not much we can do. This is most likely a side effect of the gcc-4.8 upgrade.